# Uses of Class
org.jastronomy.jsofa.JSOFA.ICRFrame

## Uses of JSOFA.ICRFrame in org.jastronomy.jsofa

Methods in org.jastronomy.jsofa that return JSOFA.ICRFrame
Modifier and Type
Method
Description
`static JSOFA.ICRFrame`
JSOFA.`jauXys00a(double date1, double date2)`
For a given TT date, compute the X,Y coordinates of the Celestial Intermediate Pole and the CIO locator s, using the IAU 2000A precession-nutation model.
`static JSOFA.ICRFrame`
JSOFA.`jauXys00b(double date1, double date2)`
For a given TT date, compute the X,Y coordinates of the Celestial Intermediate Pole and the CIO locator s, using the IAU 2000B precession-nutation model.
`static JSOFA.ICRFrame`
JSOFA.`jauXys06a(double date1, double date2)`
For a given TT date, compute the X,Y coordinates of the Celestial Intermediate Pole and the CIO locator s, using the IAU 2006 precession and IAU 2000A nutation models.